Page MenuHomePhabricator

Link libm in the complex-5.c testcase
ClosedPublic

Authored by arichardson on Oct 17 2020, 4:42 AM.

Details

Summary

This appears to be needed on FreeBSD:

ld.lld: error: undefined symbol: scalbnf

referenced by divsc3.c:26 (/Users/alex/cheri/cheribsd/contrib/llvm-project/compiler-rt/lib/builtins/divsc3.c:26)

divsc3.o:(__divsc3) in archive /Users/alex/cheri/output/sdk/sysroot-riscv64/usr/lib64/libgcc.a

referenced by divsc3.c:27 (/Users/alex/cheri/cheribsd/contrib/llvm-project/compiler-rt/lib/builtins/divsc3.c:27)

divsc3.o:(__divsc3) in archive /Users/alex/cheri/output/sdk/sysroot-riscv64/usr/lib64/libgcc.a

referenced by divsc3.c:31 (/Users/alex/cheri/cheribsd/contrib/llvm-project/compiler-rt/lib/builtins/divsc3.c:31)

divsc3.o:(__divsc3) in archive /Users/alex/cheri/output/sdk/sysroot-riscv64/usr/lib64/libgcc.a

referenced 1 more times

Diff Detail

Repository
rT test-suite

Event Timeline

arichardson created this revision.Oct 17 2020, 4:42 AM
arichardson requested review of this revision.Oct 17 2020, 4:42 AM

I haven't had time to run with this patch, but this seems like the right fix to me.

Will commit this next week unless there are any objections.

lenary accepted this revision.Jan 14 2021, 9:46 AM
This revision is now accepted and ready to land.Jan 14 2021, 9:46 AM
arichardson changed the repository for this revision from rOLDT svn-test-suite to rT test-suite.Jan 20 2021, 7:53 AM
This revision was automatically updated to reflect the committed changes.